import fly,{FlyRequestConfig,FlyResponse} from 'flyio'
import Cookie from '@/util/token'
import roter from '@/router'
// 请求头拦截器
fly.interceptors.request.use((request:FlyRequestConfig)=>{
    // 添加token
    request.headers['Authorization'] = Cookie.token
    return request
})

// 响应头拦截器
fly.interceptors.response.use((response:FlyResponse)=>{
    const {data,status,statusText}:any=response

    // 判断返回状态是否正常，返回数据
    if(status===200&&statusText==='OK'){
        return data
    }
    return response
},({status,response}:any)=>{
    // 401跳转登陆
    if(status===401){
        roter.push({name:'login'})
    }
    return response.data
})
export default fly