import Cookies from 'universal-cookie'
const DOMAIN=process.env.VUE_APP_SIGN_IN_DOMAIN
export default {
  cookies: new Cookies(),
  set token (token) {
    this.cookies.set('token', token, {domain: DOMAIN})
  },
  get token () {
    return this.cookies.get('token') || ''
  },
  removeToken () {
    this.cookies.remove('token', {domain: DOMAIN})
  },
  set user (user) {
    const {create_time, face_img, group_id, id, is_admin, is_locked, nick_name, origin, phone, roles, store_id_str, user_name} = user
    localStorage.setItem('user', JSON.stringify(user))
    this.cookies.set('user', {
      create_time,
      face_img,
      group_id,
      id,
      is_admin,
      is_locked,
      nick_name,
      origin,
      phone,
      roles,
      store_id_str,
      user_name
    }, {domain: DOMAIN})
  },
  get user () {
    const user = {...JSON.parse(localStorage.getItem('user') || '{}'), ...this.cookies.get('user')}
    if (Object.keys(user).length > 0) {
      return user
    }
    return void 0
  },
  removeUser () {
    this.cookies.remove('user', {domain: DOMAIN})
  },
  removeAll () {
    this.removeToken()
    this.removeUser()
  }
}
